HTMLTestResults (Selenium RC Server (Coreless) 1.0.1 API)
Date: 2009-06-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.htmlrunner
Class HTMLTestResults

    java.lang.Object
      org.openqa.selenium.server.htmlrunner.HTMLTestResults

    public class HTMLTestResults

extends java.lang.Object

A data model class for the results of the Selenium HTMLRunner (aka TestRunner, FITRunner)

Author:
  Darren Cotterill, Ajit George

Constructor Summary
`HTMLTestResults(java.lang.String postedSeleniumVersion, java.lang.String postedSeleniumRevision, java.lang.String postedResult, java.lang.String postedTotalTime, java.lang.String postedNumTestTotal, java.lang.String postedNumTestPasses, java.lang.String postedNumTestFailures, java.lang.String postedNumCommandPasses, java.lang.String postedNumCommandFailures, java.lang.String postedNumCommandErrors, java.lang.String postedSuite, java.util.List<java.lang.String> postedTestTables, java.lang.String postedLog)`

Method Summary
`java.lang.String` | `getNumCommandErrors()`
`java.lang.String` | `getNumCommandFailures()`
`java.lang.String` | `getNumCommandPasses()`
`java.lang.String` | `getNumTestFailures()`
`java.lang.String` | `getNumTestPasses()`
`int` | `getNumTotalTests()`
`java.lang.String` | `getResult()`
`java.util.Collection` | `getTestTables()`
`java.lang.String` | `getTotalTime()`
`static java.lang.String` | `quoteCharacters(java.lang.String s)`
`void` | `write(java.io.Writer out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLTestResults

    public HTMLTestResults(java.lang.String postedSeleniumVersion,
                           java.lang.String postedSeleniumRevision,
                           java.lang.String postedResult,
                           java.lang.String postedTotalTime,
                           java.lang.String postedNumTestTotal,
                           java.lang.String postedNumTestPasses,
                           java.lang.String postedNumTestFailures,
                           java.lang.String postedNumCommandPasses,
                           java.lang.String postedNumCommandFailures,
                           java.lang.String postedNumCommandErrors,
                           java.lang.String postedSuite,
                           java.util.List<java.lang.String> postedTestTables,
                           java.lang.String postedLog)

Method Detail

### getResult

    public java.lang.String getResult()

### getNumCommandErrors

    public java.lang.String getNumCommandErrors()

### getNumCommandFailures

    public java.lang.String getNumCommandFailures()

### getNumCommandPasses

    public java.lang.String getNumCommandPasses()

### getNumTestFailures

    public java.lang.String getNumTestFailures()

### getNumTestPasses

    public java.lang.String getNumTestPasses()

### getTestTables

    public java.util.Collection getTestTables()

### getTotalTime

    public java.lang.String getTotalTime()

### getNumTotalTests

    public int getNumTotalTests()

### write

    public void write(java.io.Writer out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### quoteCharacters

    public static java.lang.String quoteCharacters(java.lang.String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.